<script lang="ts">
  import LogoSvg from '$lib/components/svg/LogoSvg.svelte';
  import { adminLinks } from '$lib/assets/links';
  import Button from '$lib/components/Button.svelte';
  import { page } from '$app/stores';

</script>

<aside class="space-y-6 ml-8 my-8">
    <a href="/admin">
        <LogoSvg class="mx-auto"/>
    </a>
    <nav class="space-y-3">
        {#each adminLinks as { name, href }}
            <a {href} class="block">
                <Button class="text-left w-full" active={$page.url.pathname.includes(href)} transparent>{name}</Button>
            </a>
        {/each}
    </nav>
</aside>